#include <bits/stdc++.h>
long long int t, visina;
int main(){
    std::cin >> t >> visina;
    int visina_stalaktita;
    for(int i = 1; i <= t; i++){
        std::cin >> visina_stalaktita;
        if(visina >= visina_stalaktita){
            std::cout << i;
            return 0;
        }
    }
    std::cout << "-1";
    return 0;
}